Get all events based on filters
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/usage-analyst/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/usage-analyst/events \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/usage-analyst/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)Usage Analyst
Get all events based on filters
GET
/
api
/
v1
/
usage-analyst
/
events
Get all events based on filters
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/usage-analyst/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/usage-analyst/events \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/usage-analyst/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)Authorizations
API Key for server-to-server authentication. Resolves to the owning organization.
Query Parameters
Type of usage event to filter
Available options:
material_created, material_uploaded, material_processed, material_deleted, component_created, component_accessed, component_deleted, component_usage, chat_message_sent, chat_session_started, chat_session_ended, chat_feedback, test_created, test_started, test_completed, test_question_answered, test_retaken, audio_recap_create, assignment_grader_create, api_call, cache_hit, sso_login, sso_logout, student_performance Start date for filtering (ISO 8601)
End date for filtering (ISO 8601)
Array of user IDs to filter
Example:
["user123", "user456"]
Array of group IDs to filter
Example:
["class-101", "class-102"]
Response
200
Events retrieved successfully
Was this page helpful?